// make-examplars.h

#ifndef _make_examplars_h_
#define _make_examplars_h_
 
#include "IntDI.h"


IA_Image<IA_Point<int>,int>   examplar_1();
IA_Image<IA_Point<int>,int>   examplar_2();
IA_Image<IA_Point<int>,int>   examplar_3();
IA_Image<IA_Point<int>,int>   examplar_4();
IA_Image<IA_Point<int>,int>   examplar_9();
IA_Image<IA_Point<int>,int>   examplar_X();


void                          write_examplars();


/////////////////////////////////////////////////////////////////////////
// make_examplars_image()
// Create an 2D image from the array of 1D examplar images.
// We assume that each examplar image is the same cardinality.
//
IA_Image<IA_Point<int>,int>
make_examplars_image( IA_Image<IA_Point<int>,int> * e_array,
		      unsigned int e_array_size );


#endif
